<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div *ngFor="let type of types" class="card">
	<div class="card-header">
		{{ 'preConfigure.eventSummary.authorizations.title' + type | translate }}
		({{ authorizationsByType.get(type)?.length }})
	</div>

	<div *ngIf="authorizationsByType.get(type)?.length === 0" class="card-body">
		{{ 'preConfigure.eventSummary.authorizations.empty' + type | translate }}
	</div>
	<div
			*ngFor="let authorization of authorizationsByType.get(type); last as isLastAuthorization"
			[class.border-bottom]="!isLastAuthorization"
			class="card-body"
	>
		<dl class="row">
			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.authorizations.name' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ authorization.authorizationName | translate }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.authorizations.date' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ 'preConfigure.eventSummary.dateFrom' | translate }}
				{{ authorization.fromDate | date: 'dd.MM.yyyy HH:mm' }}
				{{ 'preConfigure.eventSummary.dateTo' | translate }}
				{{ authorization.toDate | date: 'dd.MM.yyyy HH:mm' }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.authorizations.numberOfVoters' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ authorization.numberOfVoters }}
			</dd>
		</dl>

	</div>
</div>
